<Type Name="ToolboxItem" FullName="System.Drawing.Design.ToolboxItem">
  <TypeSignature Language="C#" Value="public class ToolboxItem : ISerializable" Maintainer="auto" />
  <AssemblyInfo>
    <AssemblyName>System.Drawing</AssemblyName>
    <AssemblyPublicKey>[00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 07 D1 FA 57 C4 AE D9 F0 A3 2E 84 AA 0F AE FD 0D E9 E8 FD 6A EC 8F 87 FB 03 76 6C 83 4C 99 92 1E B2 3B E7 9A D9 D5 DC C1 DD 9A D2 36 13 21 02 90 0B 72 3C F9 80 95 7F C4 E1 77 10 8F C6 07 77 4F 29 E8 32 0E 92 EA 05 EC E4 E8 21 C0 A5 EF E8 F1 64 5C 4C 0C 93 C1 AB 99 28 5D 62 2C AA 65 2C 1D FA D6 3D 74 5D 6F 2D E5 F1 7E 5E AF 0F C4 96 3D 26 1C 8A 12 43 65 18 20 6D C0 93 34 4D 5A D2 93]</AssemblyPublicKey>
    <AssemblyVersion>1.0.3300.0</AssemblyVersion>
    <AssemblyCulture>neutral</AssemblyCulture>
    <Attributes>
      <Attribute>
        <AttributeName>System.CLSCompliantAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Runtime.InteropServices.ComVisibleAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Resources.SatelliteContractVersionAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Security.AllowPartiallyTrustedCallersAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Resources.NeutralResourcesLanguageAttribute</AttributeName>
      </Attribute>
    </Attributes>
  </AssemblyInfo>
  <ThreadSafetyStatement>Gtk# is thread aware, but not thread safe; See the &lt;link location="node:gtk-sharp/programming/threads"&gt;Gtk# Thread Programming&lt;/link&gt; for details.</ThreadSafetyStatement>
  <Docs>
    <summary>To be added</summary>
    <remarks>To be added</remarks>
  </Docs>
  <Base>
    <BaseTypeName>System.Object</BaseTypeName>
  </Base>
  <Interfaces>
    <Interface>
      <InterfaceName>System.Runtime.Serialization.ISerializable</InterfaceName>
    </Interface>
  </Interfaces>
  <Attributes />
  <Members>
    <Member MemberName="Serialize">
      <MemberSignature Language="C#" Value="protected virtual void Serialize (Runtime.Serialization.SerializationInfo info, Runtime.Serialization.StreamingContext context);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="info" Type="System.Runtime.Serialization.SerializationInfo" />
		<Parameter Name="context" Type="System.Runtime.Serialization.StreamingContext" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="info">To be added: an object of type 'Runtime.Serialization.SerializationInfo'</param>
        <param name="context">To be added: an object of type 'Runtime.Serialization.StreamingContext'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="OnComponentsCreating">
      <MemberSignature Language="C#" Value="protected virtual void OnComponentsCreating (ToolboxComponentsCreatingEventArgs args);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="args" Type="System.Drawing.Design.ToolboxComponentsCreatingEventArgs" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="args">To be added: an object of type 'ToolboxComponentsCreatingEventArgs'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="OnComponentsCreated">
      <MemberSignature Language="C#" Value="protected virtual void OnComponentsCreated (ToolboxComponentsCreatedEventArgs args);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="args" Type="System.Drawing.Design.ToolboxComponentsCreatedEventArgs" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="args">To be added: an object of type 'ToolboxComponentsCreatedEventArgs'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Initialize">
      <MemberSignature Language="C#" Value="public virtual void Initialize (Type type);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="type" Type="System.Type" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="type">To be added: an object of type 'Type'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GetType">
      <MemberSignature Language="C#" Value="protected virtual Type GetType (ComponentModel.Design.IDesignerHost host, Reflection.AssemblyName assemblyName, string typeName, bool reference);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Type</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="host" Type="System.ComponentModel.Design.IDesignerHost" />
		<Parameter Name="assemblyName" Type="System.Reflection.AssemblyName" />
		<Parameter Name="typeName" Type="System.String" />
		<Parameter Name="reference" Type="System.Boolean" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="host">To be added: an object of type 'ComponentModel.Design.IDesignerHost'</param>
        <param name="assemblyName">To be added: an object of type 'Reflection.AssemblyName'</param>
        <param name="typeName">To be added: an object of type 'string'</param>
        <param name="reference">To be added: an object of type 'bool'</param>
        <returns>To be added: an object of type 'Type'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Deserialize">
      <MemberSignature Language="C#" Value="protected virtual void Deserialize (Runtime.Serialization.SerializationInfo info, Runtime.Serialization.StreamingContext context);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="info" Type="System.Runtime.Serialization.SerializationInfo" />
		<Parameter Name="context" Type="System.Runtime.Serialization.StreamingContext" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="info">To be added: an object of type 'Runtime.Serialization.SerializationInfo'</param>
        <param name="context">To be added: an object of type 'Runtime.Serialization.StreamingContext'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="CreateComponentsCore">
      <MemberSignature Language="C#" Value="protected virtual ComponentModel.IComponent [] CreateComponentsCore (ComponentModel.Design.IDesignerHost host);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.ComponentModel.IComponent[]</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="host" Type="System.ComponentModel.Design.IDesignerHost" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="host">To be added: an object of type 'ComponentModel.Design.IDesignerHost'</param>
        <returns>To be added: an object of type 'ComponentModel.IComponent []'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GetHashCode">
      <MemberSignature Language="C#" Value="public virtual int GetHashCode ();" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Int32</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'int'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Equals">
      <MemberSignature Language="C#" Value="public virtual bool Equals (object obj);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="obj" Type="System.Object" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="obj">To be added: an object of type 'object'</param>
        <returns>To be added: an object of type 'bool'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="ToString">
      <MemberSignature Language="C#" Value="public virtual string ToString ();" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'string'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="CheckUnlocked">
      <MemberSignature Language="C#" Value="protected void CheckUnlocked ();" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="CreateComponents">
      <MemberSignature Language="C#" Value="public ComponentModel.IComponent [] CreateComponents ();" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.ComponentModel.IComponent[]</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'ComponentModel.IComponent []'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="CreateComponents">
      <MemberSignature Language="C#" Value="public ComponentModel.IComponent [] CreateComponents (ComponentModel.Design.IDesignerHost host);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.ComponentModel.IComponent[]</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="host" Type="System.ComponentModel.Design.IDesignerHost" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="host">To be added: an object of type 'ComponentModel.Design.IDesignerHost'</param>
        <returns>To be added: an object of type 'ComponentModel.IComponent []'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Lock">
      <MemberSignature Language="C#" Value="public void Lock ();" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public ToolboxItem ();" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'ToolboxItem'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public ToolboxItem (Type toolType);" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters>
		<Parameter Name="toolType" Type="System.Type" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="toolType">To be added: an object of type 'Type'</param>
        <returns>To be added: an object of type 'ToolboxItem'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="AssemblyName">
      <MemberSignature Language="C#" Value="public Reflection.AssemblyName AssemblyName { set; get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Reflection.AssemblyName</ReturnType>
      </ReturnValue>
      <Parameters>
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="value">To be added: an object of type 'Reflection.AssemblyName'</param>
        <returns>To be added: an object of type 'Reflection.AssemblyName'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Bitmap">
      <MemberSignature Language="C#" Value="public Drawing.Bitmap Bitmap { set; get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Drawing.Bitmap</ReturnType>
      </ReturnValue>
      <Parameters>
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="value">To be added: an object of type 'Drawing.Bitmap'</param>
        <returns>To be added: an object of type 'Drawing.Bitmap'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="DisplayName">
      <MemberSignature Language="C#" Value="public string DisplayName { set; get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Parameters>
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="value">To be added: an object of type 'string'</param>
        <returns>To be added: an object of type 'string'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Filter">
      <MemberSignature Language="C#" Value="public Collections.ICollection Filter { set; get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Collections.ICollection</ReturnType>
      </ReturnValue>
      <Parameters>
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="value">To be added: an object of type 'Collections.ICollection'</param>
        <returns>To be added: an object of type 'Collections.ICollection'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Locked">
      <MemberSignature Language="C#" Value="protected bool Locked { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'bool'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="TypeName">
      <MemberSignature Language="C#" Value="public string TypeName { set; get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Parameters>
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="value">To be added: an object of type 'string'</param>
        <returns>To be added: an object of type 'string'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="ComponentsCreated">
      <MemberSignature Language="C#" Value="public event ToolboxComponentsCreatedEventHandler ComponentsCreated;" />
      <MemberType>Event</MemberType>
      <ReturnValue>
        <ReturnType>System.Drawing.Design.ToolboxComponentsCreatedEventHandler</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="ComponentsCreating">
      <MemberSignature Language="C#" Value="public event ToolboxComponentsCreatingEventHandler ComponentsCreating;" />
      <MemberType>Event</MemberType>
      <ReturnValue>
        <ReturnType>System.Drawing.Design.ToolboxComponentsCreatingEventHandler</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
  </Members>
</Type>
